RPM(8)

NUME
rpm - administratorul de pachete RPM

SINOPSIS

  INTEROGAREA ȘI VERIFICAREA PACHETELOR
rpm {-q|--query} [opțiuni-selectare] [opțiuni-interogare]

rpm --querytags

rpm {-V|--verify} [opțiuni-selectare] [opțiuni-verificare]

  INSTALAREA, ACTUALIZAREA ȘI ELIMINAREA PACHETELOR
rpm {-i|--install} [opțiuni-instalare] FIȘIER_PACHET ...

rpm {-U|--upgrade} [opțiuni-instalare] FIȘIER_PACHET ...

rpm {-F|--freshen} [opțiuni-instalare] FIȘIER_PACHET ...

rpm {--reinstall} [opțiuni-instalare] FIȘIER_PACHET ...

rpm {-e|--erase} [--allmatches] [--justdb] [--nodb] [--nodeps] [--noscripts] [--notriggers] [--test] NUME_PACHET ...

  DIVERSE
rpm --showrc

rpm --restore [opțiuni-selectare]

  opțiuni-selectare
 [NUME_PACHET]
 [-a,--all [SELECTOR]] [-f,--file FIȘIER]
 [--path RUTA] [-g,--groupp GRUP] [-p,--package FIȘIER_PACHET]
 [--hdrid SHA1] [--pkgid MD5] [--tid TID]
 [--querybynumbe HDRNUM] [--triggeredby NUME_PACHET]
 [--whatprovides CAPACITATEA] [--whatrequires CAPACITATEA]
 [--whatrecommends CAPACITATEA] [--whatsuggests CAPACITATEA]
 [--whatsupplements CAPACITATEA] [--whatenhances CAPACITATEA]
 [--whatobsoletes CAPACITATEA] [--whatconflicts CAPACITATEA]

  opțiuni-interogare
General:
 [--changelog] [--changes] [--dupes] [-i,--info] [--last]
 [--qf,--queryformat QUERYFMT] [--xml] [--json]

Dependențe:
 [--conflicts] [--enhances] [--obsoletes] [--provides]
 [--recommends] [-R,--requires] [--suggests] [--supplements]

Fișiere:
 [-c,--configfiles] [-d,--docfiles]
 [--dump] [--fileclass]
 [--filecolor] [--fileprovide][--filerequire] [--filecaps]
 [--filesbypkg] [-l,--list] [-s,--state]
 [--noartifact] [ [--noconfig]

Scripturi și declanșatori:
 [--filetriggers] [--scripts] [--triggers,--triggerscripts]

  opțiuni-verificare
 [--nodeps] [--nofiles] [--noscripts]
 [--nodigest] [--nosignature]
 [--nolinkto] [--nofiledigest] [--nosize] [--nouser]
 [--nogroup] [--nomtime] [--nomode] [--nordev]
 [--nocaps]

  opțiuni-instalare
 [--allfiles] [--badreloc] [--excludepath RUTA_VECHE]
 [--excludedocs] [--force] [-h,--hash]
 [--ignoresize] [--ignorearch] [--ignoreos]
 [--includedocs] [--justdb]
 [–nodb] [--nodeps] [--nodigest] [--noplugins]
 [--nocaps] [--noorder]
 [--noverify] [--nosignature] [--noscripts] [--notriggers]
 [--oldpackage] [--percent] [--prefix RUTA_NOUĂ]
 [--relocate RUTA_VECHE=RUTA_NOUĂ]
 [--replacefiles] [--replacepkgs] [--test]

DESCRIERE
rpm este un Gestionar de pachete puternic, care poate fi utilizat pentru a crea, instala, interoga, verifica, actualiza și șterge pachete software individuale. Un pachet constă dintr-o arhivă de fișiere și metadate utilizate pentru instalarea și ștergerea fișierelor din arhivă. Metadatele includ scripturi ajutătoare, atribute ale fișierelor și informații descriptive despre pachet. Pachetele există în două varietăți: pachete binare, utilizate pentru a încapsula software-ul care urmează să fie instalat, și pachete sursă, care conțin codul sursă și rețeta necesară pentru a produce pachete binare.

Trebuie selectat unul dintre următoarele moduri de bază: Query (interogare), Verify (verificare), Install/Upgrade/Freshen/Reinstall (instalare/actualizare/reîmprospătare/reinstalare), Uninstall (dezinstalare), Set Owners/Groups (stabilirea proprietarilor/grupurilor), Show Querytags (afișarea etichetelor de interogare/consultare) și Show Configuration (afișarea configurației).

  OPȚIUNI GENERALE
Aceste opțiuni pot fi utilizate în toate modurile diferite.

-?, --help
    Imprimă un mesaj de utilizare mai lung decât în mod normal.

--version
    Imprimă o singură linie care conține numărul versiunii de rpm utilizate.

--quiet
    Imprimă cât mai puțin posibil - în mod normal, vor fi afișate doar mesajele de eroare.

-v, --verbose
    Imprimă informații detaliate - în mod normal, vor fi afișate mesaje de rutină privind progresul.

-vv Imprimă o mulțime de informații de depanare neplăcute.

--rcfile ]LISTĂ-FIȘIERE
    Înlocuiește lista implicită de fișiere de configurare care urmează să fie citite cu LISTĂ-FIȘIERE. Consultați Configurația rpmrc pentru detalii.

--load FIȘIER
    Încarcă un fișier macro individual.

--macros LISTĂ-FIȘIERE
    Înlocuiește lista de fișiere macro care urmează să fie încărcate cu LISTĂ-FIȘIERE. Consultați Configurația macro pentru detalii.

--pipe COMANDA
    Transmite ieșirea lui rpm către comanda COMANDA.

--dbpath DIRECTOR
    Utilizează baza de date din DIRECTOR în loc de ruta implicită /var/lib/rpm.

--root DIRECTOR
    Utilizează arborele sistemului de fișiere cu rădăcina la DIRECTOR pentru toate operațiile. Rețineți că acest lucru înseamnă că baza de date din DIRECTOR va fi utilizată pentru verificările de dependență și orice scripuri (de exemplu, %post dacă se instalează sau %prep dacă se construiește un pachet) va fi rulat după un chroot(2) în DIRECTOR.

    Rețineți că rpm presupune că mediul din interiorul rădăcinii este configurat de apelant, cum ar fi orice montări necesare pentru operația din interiorul directorului rădăcină.

-D, --define='MACRO EXPR'
    Definește MACRO cu valoarea EXPR.

--undefine='MACRO'
    Elimină definiția MACRO.

-E, --eval='EXPR'
    Afișează expansiunea macro a EXPRESIEI.

Mai multe opțiuni - mai rar necesare - pot fi găsite în pagina de manual rpm-misc(8).

  OPȚIUNI DE INSTALARE ȘI ACTUALIZARE
În aceste opțiuni, FIȘIER_PACHET poate fi fie un fișier binar rpm, fie un manifest ASCII al pachetului (a se vedea secțiunea OPȚIUNI DE SELECȚIE A PACHETELOR), și poate fi specificat ca o adresă URL ftp sau http, caz în care pachetul va fi descărcat înainte de a fi instalat. A se vedea secțiunea OPȚIUNI FTP/HTTP pentru informații despre suportul intern al rpm pentru clienții ftp și http.

Forma generală a unei comenzi de instalare rpm este

rpm {-i|--install} [opțiuni-instalare] FIȘIER_PACHET ...

Aceasta instalează un pachet nou.

Forma generală a unei comenzi de actualizare rpm este

rpm {-U|--upgrade} [opțiuni-instalare] FIȘIER_PACHET ...

Aceasta actualizează sau instalează pachetul instalat în prezent la o versiune mai nouă. Este același lucru ca și în cazul instalării, cu excepția faptului că toate celelalte versiuni ale pachetului sunt eliminate după instalarea noului pachet.

rpm {-F|--freshen} [opțiuni-instalare] FIȘIER_PACHET ...

Aceasta va actualiza pachetele, dar numai pe cele pentru care este instalată o versiune anterioară.

Forma generală a unei comenzi de reinstalare rpm este următoarea

rpm {--reinstall} [opțiuni-instalare] FIȘIER_PACHET ...

Aceasta reinstalează un pachet instalat anterior.

--allfiles
    Instalează sau actualizează toate fișierele „missingok” din pachet, indiferent dacă acestea există sau nu.

--badreloc
    Utilizată împreună cu --relocate, permite realocări pe toate rutele fișierelor, nu doar pe cele RUTA_VECHE incluse în indicațiile de realocare a pachetului binar.

--excludepath RUTA_VECHE
    Nu instalează fișiere al căror nume începe cu RUTA_VECHE.

--excludeartifacts
    Nu instalează niciun fișier care este marcat ca artefact, cum ar fi legăturile build-id.

--excludedocs
    Nu instalează niciun fișier marcat ca fiind documentație (care include paginile de manual și documentele texinfo).

--force
    Același lucru ca și în cazul utilizării --replacepkgs, --replacefiles, și --oldpackage.

-h, --hash
    Afișează 50 de marcaje de sumă de control pe măsură ce arhiva pachetului este despachetată. Utilizați cu -v|--verbose pentru o afișare mai plăcută.

--ignoresize
    Nu verifică dacă sistemele de fișiere montate au suficient spațiu pe disc înainte de a instala acest pachet.

--ignorearch
    Permite instalarea sau actualizarea chiar dacă arhitecturile pachetului binar și ale gazdei nu corespund.

--ignoreos
    Permite instalarea sau actualizarea chiar dacă sistemele de operare ale pachetului binar și ale gazdei nu corespund.

--includedocs
    Instalează fișierele de documentație. Acesta este comportamentul implicit.

--justdb
    Actualizează numai baza de date, nu și sistemul de fișiere.

--nodb
    Actualizează numai sistemul de fișiere, nu și baza de date.

--nodigest
    Nu verifică sumele de control calculate ale pachetelor sau ale antetului atunci când le citește.

--nomanifest
    Nu procesează fișierele care nu sunt pachete, ca manifeste.

--nosignature
    Nu verifică semnăturile pachetului sau ale antetului la citire.

--nodeps
    Nu efectuează o verificare a dependențelor înainte de a instala sau actualiza un pachet.

--nocaps
    Nu configurează capacitățile fișierelor.

--noorder
    Nu reordonează pachetele pentru o instalare. În mod normal, lista de pachete ar trebui să fie reordonată pentru a satisface dependențele.

--noverify
    Nu efectuează verificarea fișierelor pachetului înainte de instalare.

--noplugins
    Nu încarcă și nu execută modulele de extensie.

--noscripts, --nopre, --nopost, --nopreun, --nopostun, --nopretrans, --noposttrans, --nopreuntrans, --nopostuntrans
    Nu execută scriptul cu același nume. Opțiunea --noscripts este echivalentă cu

--nopre --nopost --nopreun --nopostun --nopretrans --noposttrans --nopreuntrans --nopostuntrans

și dezactivează execuția scriptului (scripturilor) %pre, %post, %preun, %postun %pretrans, %posttrans, %preuntrans și %postuntrans corespunzător(e).

--notriggers, --notriggerin, --notriggerun, --notriggerprein, --notriggerpostun
    Nu execută niciun script de declanșare de tipul numit. Opțiunea --notriggers este echivalentă cu

--notriggerprein --notriggerin --notriggerun --notriggerpostun

și dezactivează execuția scriptului (scripturilor) %triggerprein, %triggerin, %triggerun și %triggerpostun corespunzător(e).

--nosysusers
    Nu creează utilizatori de sistem din pachete

--oldpackage
    Permite ca o actualizare să înlocuiască un pachet mai nou cu unul mai vechi.

--percent
    Afișează procentele pe măsură ce fișierele sunt despachetate din arhiva pachetului. Acest lucru este menit să facă rpm ușor de rulat din alte instrumente.

--prefix RUTA_NOUĂ
    Pentru pachetele binare realocabile, transformă toate rutele de fișiere care încep cu prefixul de instalare din indicațiile de realocare a pachetului în RUTA_NOUĂ.

--relocate RUTA_VECHE=RUTA_NOUĂ
    Pentru pachetele binare realocabile, transformă toate rutele de fișiere care încep cu RUTA_VECHE în indicațiile de realocare a pachetului în RUTA_NOUĂ. Această opțiune poate fi utilizată în mod repetat dacă mai multe RUTA_VECHE din pachet trebuie realocate.

--replacefiles
    Instalează pachetele chiar dacă acestea înlocuiesc fișiere din alte pachete deja instalate.

--replacepkgs
    Instalează pachetele chiar dacă unele dintre ele sunt deja instalate în acest sistem.

--test
    Nu instalează pachetul, ci doar verifică și raportează eventualele conflicte.

  OPȚIUNI DE ȘTERGERE
Forma generală a unei comenzi de ștergere rpm este

rpm {-e|--erase} [--allmatches] [--justdb] [--nodeps] [--noscripts] [--notriggers] [--test] NUME_PACHET ...

De asemenea, pot fi utilizate următoarele opțiuni:

--allmatches
    Elimină toate versiunile pachetului care corespund cu NUME_PACHET. În mod normal, se emite o eroare în cazul în care NUME_PACHET corespunde mai multor pachete.

--justdb
    Actualizează numai baza de date, nu și sistemul de fișiere.

--nodeps
    Nu verifică dependențele înainte de a dezinstala pachetele.

--noscripts, --nopreun, --nopostun
    Nu execută scriptul cu același nume. Opțiunea --noscripts în timpul ștergerii pachetului este echivalentă cu

--nopreun --nopostun

și dezactivează execuția scripturilor %preun și %postun corespunzătoare.

--notriggers, --notriggerun, --notriggerpostun
    Nu execută niciun script de declanșare de tipul numit. Opțiunea --notriggers este echivalentă cu

--notriggerun --notriggerpostun

și dezactivează executarea scriptului (scripturilor) %triggerun și%triggerpostun corespunzător(e).

--test
    Nu dezinstalează nimic cu adevărat, ci doar simulează că efectuează procedura. Utilă împreună cu opțiunea -vv pentru depanare.

  OPȚIUNI DE INTEROGARE
Forma generală a unei comenzi de interogare rpm este

rpm {-q|--query} [opțiuni-selectare] [opțiuni-interogare]

Puteți specifica formatul în care trebuie afișate informațiile din pachet. Pentru a face acest lucru, utilizați opțiunea

--qf|--queryformat FORMAT_INTEROGARE

urmată de șirul de format FORMAT_INTEROGARE. Formatele de interogare sunt versiuni modificate ale formatării standard printf(3). Formatul este alcătuit din șiruri statice (care pot include scăpări de caractere standard C pentru linii noi, tabulări și alte caractere speciale) și formate de tip printf(3) Deoarece rpm cunoaște deja tipul care trebuie afișat, specificatorul de tip trebuie totuși omis și înlocuit cu numele etichetei de antet care urmează să fie afișată, încadrat de caractere {}. Numele etichetelor nu fac distincție între majuscule și minuscule, iar porțiunea de început RPMTAG_ a numelui etichetei poate fi, de asemenea, omisă.

Se pot solicita formate de ieșire alternative, urmând eticheta cu :tip-etichetă.. În prezent, sunt acceptate următoarele tipuri:

:armor
    Înfășoară o cheie publică în armură ASCII.

:arraysize
    Afișează numărul de elemente din matricea de etichete.

:base64
    Codifică datele binare utilizând base64.

:date
    Utilizează formatul strftime(3) „%c”.

:day
    Utilizează formatul strftime(3) „%a %b %d %Y”.

:depflags
    Operatorul de comparare a dependenței de format.

:deptype
    Tipul de dependență a formatului.

:expand
    Efectuează expansiunea macro.

:fflags
    Formatează parametrii fișierului.

:fstate
    Formatează starea fișierului.

:fstatus
    Formatează starea de verificare a fișierului.

:hex
    Format în hexazecimal.

:octal
    Format în octal.

:humaniec
    Număr ușor de citit de către om (în IEC 80000). Sufixul K = 1024, M = 1048576, ...

:humansi
    Număr ușor de citit de către om (în SI). Sufixul K = 1000, M = 1000000, ...

:json
    Încadrează datele în JSON.

:perms
    Formatează permisiunile fișierelor.

:pgpsig
    Afișează amprenta digitală și marcajul temporal a semnăturii.

:shescape
    Eludează ghilimelele simple pentru a fi utilizate într-un script.

:string
    Afișează formatul șirului (implicit).

:tagname
    Afișează numele etichetei.

:tagnum
    Afișează numărul etichetei.

:triggertype
    Afișează sufixul declanșatorului.

:vflags
    Fanioane de verificare a fișierelor.

:xml
    Împachetează datele într-un marcaj xml simplu.

De exemplu, pentru a afișa numai numele pachetelor interogate, puteți utiliza %{NAME} ca șir de format. Pentru a afișa numele pachetelor și informațiile de distribuție în două coloane, puteți utiliza %-30{NAME}%{DISTRIBUTION}. rpm va afișa o listă cu toate etichetele pe care le cunoaște atunci când este invocat cu argumentul --querytags.

Există trei subseturi de opțiuni pentru interogare: selectarea pachetului, selectarea fișierului și selectarea informațiilor.

  OPȚIUNI DE SELECTARE A PACHETULUI

NUME_PACHET
    Interoghează pachetul instalat numit NUME_PACHET Pentru a specifica mai precis pachetul, numele pachetului poate fi urmat de versiune sau versiunea și lansarea, ambele separate prin liniuță, sau de un nume de arhitectură separat prin punct. A se vedea ieșirea din rpm -qa sau rpm -qp FIȘIER_PACHET ca exemplu.

-a, --all [SELECTOR]
    Interoghează toate pachetele instalate.

Un ISELECTOR opțional sub forma etichetă=model poate fi furnizat pentru a restrânge selecția, de exemplu name="b*" pentru a interoga pachetele al căror nume începe cu „b”.

--dupes
    Listează pachetele duplicate.

-f, --file FIȘIER
    Caută pachetul care deține FIȘIERUL.

--filecaps
    Listează numele de fișiere cu capacități POSIX1.e.

--fileclass
    Listează numele fișierelor cu clasele lor (clasificarea libmagic).

--filecolor
    Listează numele fișierelor cu „culorile” lor (0 pentru noarch, 1 pentru 32 de biți, 2 pentru 64 de biți).

--fileprovide
    Listează numele fișierelor cu furnizorii lor.

--filerequire
    Listează numele fișierelor cu cerințele lor.

-g, --group GRUP
    Caută pachetele cu grupul GRUP.

--hdrid SHA1
    Caută pachetul care conține un anumit identificator de antet, adică, suma de control SHA1 al regiunii de antet imuabile.

-p, --package FIȘIER_PACHET
    Consultă un pachet (dezinstalat) FIȘIER_PACHET. FIȘIER_PACHET poate fi specificat ca o adresă URL de tip ftp sau http, caz în care antetul pachetului va fi descărcat și interogat. A se vedea secțiunea OPȚIUNI FTP/HTTP pentru informații privind suportul intern rpm pentru clienții ftp și http. Argumentul (argumentele) FIȘIER_PACHET, dacă nu este un pachet binar, va fi interpretat ca un manifest de pachet ASCII, cu excepția cazului în care se utilizează opțiunea --nomanifest. În manifeste, sunt permise comentariile, care încep cu „#”, iar fiecare linie a unui fișier de manifest de pachet poate include expresii glob separate prin spații albe, inclusiv URL-uri, care vor fi extinse în rute care sunt înlocuite în locul manifestului de pachet ca argumente FIȘIER_PACHET suplimentare la interogare.

--path RUTA
    Interoghează pachetele care dețin RUTA, indiferent dacă fișierul este instalat sau nu. Mai multe pachete pot deține o RUTĂ, dar fișierul este deținut doar de pachetul instalat ultimul.

--pkgid MD5
    Se interoghează pachetul care conține un anumit identificator al pachetului, și anume, suma de control MD5 al conținutului combinat al antetului și al încărcăturii utile.

--querybynumber HDRNUM
    Interoghează direct a HDRNUMea intrare în baza de date; acest lucru este util numai pentru depanare.

--specfile FIȘIER_SPECIFICAȚII
    Analizează și interoghează IFIȘIER_SPECIFICAȚII ca și cum ar fi un pachet. Deși nu toate informațiile (de exemplu, listele de fișiere) sunt disponibile, acest tip de interogare permite utilizarea rpm pentru a extrage informații din fișierele de specificații fără a fi nevoie să se scrie un analizator de fișiere de specificații.

--tid TID
    Interoghează pachetul (pachetele) care au un anumit identificator de tranzacție TID. În prezent, ca identificator de tranzacție se utilizează o marcă de timp UNIX. Toate pachetele instalate sau șterse în cadrul unei singure tranzacții au un identificator comun.

--triggeredby NUME_PACHET
    Interoghează pachetele care sunt declanșate de pachetul (pachetele) PNUME_PACHET.

--whatobsoletes CAPACITATEA
    Interoghează toate pachetele care au CAPACITATEA învechită pentru o funcționare corectă.

--whatprovides CAPACITATEA
    Interoghează toate pachetele care furnizează capacitatea CAPACITATEA.

--whatrequires CAPACITATEA
    Interoghează toate pachetele care necesită CAPACITATEA pentru a funcționa corect.

--whatconflicts CAPACITATEA
    Interoghează toate pachetele care intră în conflict cu CAPACITATEA.

--whatrecommends CAPACITATEA
    Interoghează toate pachetele care recomandă CAPACITATEA.

--whatsuggests CAPACITATEA
    Interoghează toate pachetele care sugerează CAPACITATEA.

--whatsupplements CAPACITATEA
    Interoghează toate pachetele care suplimentează CAPACITATEA.

--whatenhances CAPACITATEA
    Interoghează toate pachetele care îmbunătățesc CAPACITATEA.

  OPȚIUNI DE INTEROGARE A PACHETULUI

--changelog
    Afișează informațiile de modificare pentru pachet.

--changes
    Afișează informații despre modificări pentru pachet, cu marcaje de timp complete.

--conflicts
    Lisează capacitățile cu care acest pachet intră în conflict.

--dump
    Afișează informații despre fișier după cum urmează (implică -l):

            rută dimensiune data-modificării suma-de-control mod proprietar grup este-configurație este-documentație rdev legătură-simbolică

--enhances
    Listează capacitățile îmbunătățite de pachetul (pachetele).

--filesbypkg
    Listează toate fișierele din fiecare pachet selectat.

--filetriggers
    Listează scripturile de declanșare a fișierelor din pachetul (pachetele).

-i, --info
    Afișează informații despre pachet, inclusiv numele, versiunea și descrierea. Se utilizează formatul de căutare --queryformat, dacă a fost specificat unul.

--last
    Ordonează lista de pachete în funcție de momentul instalării, astfel încât cele mai recente pachete să se afle în partea de sus.

-l, --list
    Listează fișierele din pachet.

--obsoletes
    Listează pachetele pe care acest pachet le „învechește”.

--provides
    Listează capacitățile pe care le furnizează acest pachet.

--recommends
    Listează capacitățile recomandate de pachetul (pachetele).

-R, --requires
    Listează capacitățile de care depinde acest pachet.

--suggests
    Listează capacitățile sugerate de pachetul (pachetele).

--supplements
    Listează capacitățile suplimentate de pachetul (pachetele).

--scripts
    Listează scripturile specifice pachetului care sunt utilizate ca parte a proceselor de instalare și dezinstalare.

-s, --state
    Afișează stările fișierelor din pachet (implică -l). Starea fiecărui fișier este una dintre normal, nu este instalat sau înlocuit.

--triggers, --triggerscripts
    Afișează scripturile de declanșare, dacă există, care sunt conținute în pachet.

--xml
    Formatează antetele pachetului ca XML.

  OPȚIUNI DE SELECTARE A FIȘIERELOR

-A, --artifactfiles
    Listează numai fișierele artefacte (implică -l).

-c, --configfiles
    Listează numai fișierele de configurare (implică -l).

-d, --docfiles
    Listează numai fișierele de documentare (implică -l).

-L, --licensefiles
    Listează numai fișierele de licență (implică -l).

--noartifact
    Exclude fișierele artefact.

--noconfig
    Exclude fișierele de configurare.

--noghost
    Exclude fișierele fantomă.

  OPȚIUNI DE VERIFICARE
Forma generală a unei comenzi rpm de verificare este

rpm {-V|--verify} [opțiuni-selectare] [opțiuni-verificare]

Verificarea unui pachet compară informațiile despre fișierele instalate în pachet cu informațiile despre fișiere extrase din metadatele pachetului stocate în baza de date rpm. Printre altele, verificarea compară dimensiunea, structura, permisiunile, tipul, proprietarul și grupul fiecărui fișier. Orice discrepanțe sunt afișate. Fișierele care nu au fost instalate din pachet, de exemplu, fișierele de documentație excluse la instalare cu ajutorul opțiunii „--excludedocs”, vor fi ignorate în mod silențios.

Opțiunile de selectare a pachetelor și fișierelor sunt aceleași ca pentru interogarea pachetelor (inclusiv fișierele de manifeste ale pachetelor ca argumente). Alte opțiuni unice pentru modul de verificare sunt:

--nodeps
    Nu verifică dependențele pachetelor.

--nodigest
    Nu verifică sumele de control calculate ale pachetelor sau ale antetului atunci când le citește.

--nofiles
    Nu verifică niciun atribut al fișierelor de pachet.

--noscripts
    Nu execută scriptul %verifyscript (dacă există).

--nosignature
    Nu verifică semnăturile pachetului sau ale antetului la citire.

--nolinkto

--nofiledigest (anterior --nomd5)

--nosize

--nomtime

--nomode

--nordev
    Nu verifică atributul de fișier corespunzător.

--nouser

--nogroup
    Nu verifică proprietatea utilizatorilor/grupurilor de fișiere. Rețineți că sunt consultate numai bazele de date locale passwd(5) și group(5).

--nocaps
    Nu verifică capacitățile fișierelor.

Formatul de ieșire este un șir de 9 caractere, un posibil marcaj de atribut:

        a %artifact un fișier cu efect colateral de construire (cum ar fi legăturile buildid).
        c %config fișier de configurare.
        d %doc fișier de documentație.
        g %ghost fișier fantomă (adică, conținutul fișierului nu este inclus în încărcătura utilă a pachetului).
        l %license fișier de licență.
        m %missingok lipsa fișierului nu reprezintă un eșec al verificării.
        n %%config(**n**oreplace) (nu înlocuiește fișierul).
        r %readme fișier readme (citește-mă).
        s **s**pecfile în pachetul sursă.

din antetul pachetului, urmat de numele fișierului. Fiecare dintre cele 9 caractere reprezintă rezultatul unei comparații între atributul (atributele) din fișier și valoarea atributului (atributele) înregistrat(e) în baza de date. Un singur „.” (punct) înseamnă că testul a trecut, în timp ce un singur „?” (semn de întrebare) indică faptul că testul nu a putut fi efectuat (de exemplu, permisiunile fișierului împiedică citirea). Altfel, caracterul (evidențiat în ALDIN) denotă eșecul testului --verify corespunzător:

        S dimensiunea fișierului diferă
        M modul diferă (include permisiunile și tipul de fișier)
        5 suma-de-control (anterior suma md5) diferă
        D nepotrivire între numărul major/minor al dispozitivului
        L ruta citită de către readlink(2) nu se potrivește
        U utilizatorul (proprietarul) este diferit
        G grupul proprietar este diferit
        T data-de-modificare (mtime) diferă
        p capacitățile diferă

  COMENZI DIVERSE

rpm --showrc
    afișează valorile pe care rpm le va utiliza pentru toate opțiunile care sunt definite în prezent în fișierul (fișierele) de configurare rpmrc și macros.

rpm --setperms | --setugids | --setcaps NUME_PACHET
    pseudonime (alias) învechite pentru --restore

rpm --restore [opțiuni-selectare]
    Această opțiune restabilește metadatele fișierului cum ar fi marca temporală, proprietarul, grupul, permisiunile și capacitățile fișierelor din pachetul dat.

  OPȚIUNI FTP/HTTP
rpm poate acționa ca un client FTP și/sau HTTP, astfel încât pachetele pot fi interogate sau instalate din internet. Fișierele de pachete pentru operațiile de instalare, actualizare și interogare pot fi specificate sub forma unui URL de tip ftp sau http:

http://GAZDA[:PORT]/ruta/către/pachetul.rpm

ftp://[UTILIZATOR:PAROLA]@GAZDA[:PORT]/ruta/către/pachetul.rpm

Dacă atât utilizatorul, cât și parola sunt omise, se utilizează ftp anonim.

rpm permite ca următoarele opțiuni să fie utilizate cu URL-uri ftp:

rpm permite ca următoarele opțiuni să fie utilizate cu URL-uri http și ftp:

--httpproxy GAZDA
    Gazda GAZDA va fi utilizată ca server proxy pentru toate transferurile http și ftp. Această opțiune poate fi, de asemenea, specificată prin configurarea macrocomenzii %_httpproxy.

--httpport PORT
    Numărul de PORT TCP care trebuie utilizat pentru conexiunea http pe serverul http proxy în loc de portul implicit. Această opțiune poate fi, de asemenea, specificată prin configurarea macrocomenzii %_httpport.

PROBLEME MOȘTENITE

  Executarea rpmbuild
Modurile de construire ale rpm sunt acum rezidente în executabilul /usr/bin/rpmbuild. Instalați pachetul care conține rpmbuild de obicei rpm-build) și consultați rpmbuild(8) pentru documentația tuturor modurilor de construire rpm.

FIȘIERE

  Configurația rpmrc
Fiecare fișier din ruta rpmrc separată prin două puncte este citit secvențial de rpm pentru informații de configurare. Numai primul fișier din listă trebuie să existe, iar tildele vor fi extinse la valoarea $HOME. Ruta rpmrc implicită este următoarea:

        /usr/lib/rpm/rpmrc:
        /usr/lib/rpm/<vendor>/rpmrc:
        /etc/rpmrc:
        ~/.config/rpm/rpmrc

Dacă variabila de mediu XDG_CONFIG_HOME este definită, aceasta înlocuiește ~/.config în rută.

În versiunile rpm mai vechi, ruta rpmrc per-utilizator era ~/.rpmrc. Aceasta este în continuare procesată dacă există și noul director de configurare nu există.

  Configurația macro
Fiecare fișier sau model glob(7) din ruta macro separată prin două puncte este citit secvențial de rpm pentru definițiile macro. Tildele vor fi extinse la valoarea variabilei de mediu HOME. Ruta implicită a macrocomenzilor este următoarea:

        /usr/lib/rpm/macros:
        /usr/lib/rpm/macros.d/macros.*:
        /usr/lib/rpm/platform/%{_target}/macros:
        /usr/lib/rpm/fileattrs/*.attr:
        /usr/lib/rpm/<vendor>/macros:
        /etc/rpm/macros.*:
        /etc/rpm/macros:
        /etc/rpm/%{_target}/macros:
        ~/.config/rpm/macros

Dacă variabila de mediu XDG_CONFIG_HOME este definită, aceasta înlocuiește ~/.config în rută.

În versiunile mai vechi ale rpm, ruta macrocomenzilor per-utilizator era ~/.rpmmacros. Aceasta este în continuare procesată dacă există și noul director de configurare nu există.

  Baza de date

        /var/lib/rpm/

  Temporar

        /var/tmp/rpm*

CONSULTAȚI ȘI
rpm-misc(8), popt(3), rpm2cpio(8), rpmbuild(8), rpmdb(8), rpmkeys(8), rpmsign(8), rpmspec(8)

rpm --help - deoarece rpm acceptă personalizarea opțiunilor prin intermediul de diferite alias «popt», este imposibil să se garanteze că ceea ce este descris în manual corespunde cu ceea ce este disponibil.

http://www.rpm.org/ <URL:http://www.rpm.org/>

AUTORI

        Marc Ewing <marc@redhat.com>
        Jeff Johnson <jbj@redhat.com>
        Erik Troan <ewt@redhat.com>

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.